Subject: Re: [bug#43578] [PATCH 0/4] Rewriting implicit inputs with 'package-input-rewriting' & co.

From: Ludovic Courtès <[email-masked]>
Date: Sat, 26 Sep 2020 15:53:51 +0200

Hi zimoun,

zimoun <[email-masked]> skribis:

> I miss why the hash is the same.  I was expecting a different one, as
> with your ’hello’ example (that I reproduce exactly).  What do I miss?
>
> Note it is the same with:
>
> $ ./pre-inst-env guix build emacs-helm --with-input=emacs=emacs-next
> /gnu/store/ka9lph0hpzaky0sa52zf09469apkhb68-emacs-helm-3.6.5

That’s because ‘emacs-helm’ depends on ‘emacs-minimal’, not ‘emacs’:

--8<---------------cut here---------------start------------->8---
$ guix graph --path -t bag emacs-helm emacs
guix graph: error: no path from [email-masked]' to [email-masked]'
$ guix graph --path -t bag emacs-helm emacs-minimal 
[email-masked]
[email-masked]
--8<---------------cut here---------------end--------------->8---

Does it work for you if you do ‘--with-input=emacs-minimal=emacs-next’?

HTH,
Ludo’.